public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Akinori Hattori" <hattya@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-i18n/pyzy/
Date: Wed, 23 Aug 2017 14:49:43 +0000 (UTC)	[thread overview]
Message-ID: <1503499771.d237cc0ee5a535e41a205debbd313787a6268917.hattya@gentoo> (raw)

commit:     d237cc0ee5a535e41a205debbd313787a6268917
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 23 14:41:59 2017 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Wed Aug 23 14:49:31 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d237cc0e

app-i18n/pyzy: update to EAPI 6

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 app-i18n/pyzy/metadata.xml         |  4 ++--
 app-i18n/pyzy/pyzy-0.1.0-r2.ebuild | 41 +++++++++++++++++++++-----------------
 2 files changed, 25 insertions(+), 20 deletions(-)

diff --git a/app-i18n/pyzy/metadata.xml b/app-i18n/pyzy/metadata.xml
index cba74e837b8..f6afd400fc2 100644
--- a/app-i18n/pyzy/metadata.xml
+++ b/app-i18n/pyzy/metadata.xml
@@ -11,8 +11,8 @@
   </maintainer>
   <use>
     <flag name="boost">Enable support for <pkg>dev-libs/boost</pkg></flag>
-    <flag name="doc">Enable support for documents</flag>
-    <flag name="opencc">Use <pkg>app-i18n/opencc</pkg> for input</flag>
+    <flag name="doc">Generate API documentation</flag>
+    <flag name="opencc">Enable support for <pkg>app-i18n/opencc</pkg></flag>
   </use>
   <upstream>
     <remote-id type="github">pyzy/pyzy</remote-id>

diff --git a/app-i18n/pyzy/pyzy-0.1.0-r2.ebuild b/app-i18n/pyzy/pyzy-0.1.0-r2.ebuild
index 982a943fe1c..d164deb9a37 100644
--- a/app-i18n/pyzy/pyzy-0.1.0-r2.ebuild
+++ b/app-i18n/pyzy/pyzy-0.1.0-r2.ebuild
@@ -1,53 +1,58 @@
 # Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-
+EAPI="6"
 PYTHON_COMPAT=( python2_7 )
-inherit eutils python-any-r1 autotools
 
-PY_DATABASE=${PN}-database-1.0.0
+inherit autotools python-any-r1
+
+PYZY_DB="${PN}-database-1.0.0"
+
 DESCRIPTION="The Chinese PinYin and Bopomofo conversion library"
 HOMEPAGE="https://github.com/pyzy/pyzy"
 SRC_URI="https://pyzy.googlecode.com/files/${P}.tar.gz
-	https://pyzy.googlecode.com/files/${PY_DATABASE}.tar.bz2"
+	https://pyzy.googlecode.com/files/${PYZY_DB}.tar.bz2"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="amd64 x86"
 IUSE="boost doc opencc test"
+# Currently it fails to build test code
+RESTRICT="test"
 
-RDEPEND="dev-libs/glib:2
-	dev-db/sqlite:3
+RDEPEND="dev-db/sqlite:3
+	dev-libs/glib:2
 	sys-apps/util-linux
 	boost? ( dev-libs/boost )
-	opencc? ( app-i18n/opencc )"
-
+	opencc? ( app-i18n/opencc:= )"
 DEPEND="${RDEPEND}
 	${PYTHON_DEPS}
 	doc? ( app-doc/doxygen )"
 
-# Currently it fails to build test code
-RESTRICT="test"
+PATCHES=(
+	"${FILESDIR}"/${PN}-db.patch
+	"${FILESDIR}"/${PN}-opencc-1.0.0.patch
+)
 
 src_prepare() {
-	epatch "${FILESDIR}"/${PN}-db.patch
-	epatch "${FILESDIR}"/${PN}-opencc-1.0.0.patch
+	mv "${WORKDIR}"/db data/db/open-phrase || die
 
-	mv ../db ./data/db/open-phrase/ || die
+	default
 	eautoreconf
 }
 
 src_configure() {
 	econf \
-		--enable-db-open-phrase \
-		--enable-db-android \
 		$(use_enable boost) \
 		$(use_enable opencc) \
-		$(use_enable test tests)
+		$(use_enable test tests) \
+		--enable-db-open-phrase
 }
 
 src_install() {
+	if use doc; then
+		HTML_DOCS=( docs/html/. )
+	fi
+
 	default
-	use doc && dohtml -r docs/html/*
 }


             reply	other threads:[~2017-08-23 14:49 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-23 14:49 Akinori Hattori [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-29 10:42 [gentoo-commits] repo/gentoo:master commit in: app-i18n/pyzy/ Pacho Ramos
2023-03-17 13:18 Yixun Lan
2022-06-23 15:11 Yixun Lan
2021-04-12  1:09 Sam James
2020-09-09  6:29 Yixun Lan
2020-09-05 16:17 Thomas Deutschmann
2020-09-02  4:21 Yixun Lan
2017-08-23 14:49 Akinori Hattori
2017-08-23 14:49 Akinori Hattori
2017-08-23 14:49 Akinori Hattori
2017-08-23 14:49 Akinori Hattori
2016-10-16 10:04 Pacho Ramos
2016-10-16 10:04 Pacho Ramos
2016-10-09  7:56 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1503499771.d237cc0ee5a535e41a205debbd313787a6268917.hattya@gentoo \
    --to=hattya@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox